Stream EstateStream Estate
GeoAutocomplete

Location autocomplete suggestions

Returns location suggestions based on search query. Supports typo-tolerant search, postal code prefixes, administrative subregion codes (French department numbers), usual abbreviations, and filtering by administrative type.

GET
/geo/autocomplete
X-API-KEY<token>

Value for the X-API-KEY header parameter.

In: header

Query Parameters

query*string

Search query string (minimum 1 character): a name, a postal code prefix, the code of an administrative subregion (a French department number such as 83), or a usual abbreviation such as PACA.

Length1 <= length
type?|array<>

Administrative type filter. Supports a single value (?type=MUNICIPALITY) or array syntax (?type[]=MUNICIPALITY&type[]=MUNICIPAL_DISTRICT).

limit?integer

Maximum number of results.

Range0 <= value <= 30
Default30
page?integer

The collection page number

Default1

Response Body

curl -X GET "https://example.com/geo/autocomplete?query=paris&type=MUNICIPALITY&limit=10"
[  {    "name": "Paris",    "locationType": "MUNICIPALITY",    "parentName": "Paris",    "regionName": "Île-de-France",    "countryCode": "FR",    "postalCode": "75001",    "centroid": {      "type": "Point",      "coordinates": [        2.3522,        48.8566      ]    },    "metadata": {      "depth": 3,      "population": 2102650,      "postalCodes": [        "75001",        "75002",        "75003"      ],      "uniqueCode": "75056"    },    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"  }]
Version 0.14.289Last updated